{% extends "application.html" %}
{% block content %}
    <div class="container-fluid">
        <div class="row d-flex justify-content-between mb-2">
            <h1 class="h3 mb-2 text-gray-800">Thêm đơn thuốc</h1>
            <a href="{{ url_for('User.patient_detail', id=patient.id) }}">
                <button class="btn btn-primary">Trở lại</button>
            </a>
        </div>
        <div class="card shadow mb-4">
            {% if is_create %}
                <form action="{{ url_for('AdminPrescription.create', id=patient.id) }}" method="POST"
                      class="form-group">
            {% else %}
                <form action="{{ url_for('AdminPrescription.update', patient_id=patient.id, prescription_id=prescription.id) }}"
                      method="POST" class="form-group">
            {% endif %}
            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-4"><p>Bệnh nhân:</p></div>
                            <div class="col-md-8">{{ patient.name }}</div>
                        </div>
                        <div class="row">
                            <div class="col-md-4"><p>Bác sĩ:</p></div>
                            <div class="col-md-8">{{ current_user.name }}</div>
                        </div>
                        <div class="row">
                            <div class="col-md-4"><p>Lịch khám bệnh:</p></div>
                            <div class="col-md-8">
                                {#                                {{ form.appointment_id(class="form-control") }}#}
                                <select name="appointment_id" id="" class="form-control">
                                    <option value="" selected disabled>Chọn lịch khám</option>
                                    {% for item in appointment %}
                                        <option value="{{ item.id }}"
                                                {% if prescription and prescription.appointment_id==item.id %} selected {% endif %}>
                                            {{ item.time_start | datetime }}
{#                                            đến {{ item.time_finish | datetime }}#}
                                        </option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            {{ form.diagnose.label }}
                            {{ form.diagnose(class="form-control", rows="5") }}
                        </div>
                         <div class="form-group">
                            {{ form.drug.label }}
                            {{ form.drug(class="form-control", rows="5") }}
                        </div>
                         <div class="form-group">
                            {{ form.body.label }}
                            {{ form.body(class="form-control", rows="5") }}
                        </div>

                    </div>
                </div>
                <div class="row d-flex justify-content-center">
                    <button class="btn btn-primary">Submit</button>
                </div>

            </div>
            </form>
        </div>
    </div>
{% endblock %}